/***********************************************/
/*  sysconf.c : system configuration table     */
/***********************************************/

#include "tonegen.h"

// lb_ofs  = log2(min_MIDI_freq) - log2(fs) + Q_phacc - Q_fnumber + 1
//         = 17.031360 - log2(fs)
//         = log2(t1div) - 7.485171

// oct_ofs  = floor(lb_ofs)

// note_ofs = 1536 * (lb_ofs - oct_ofs)

const sys_config_st_t sys_config[2][MAX_CONFIG] = {
//
//
 {// poly, t1div, tick1ms, tick4ms, oct_ofs, note_ofs, fs_str}
   {    4,   800,      30,     120,       2,      244,  "30" },// fs=30.000 kHz
   {    5,  1000,      24,      96,       2,      738,  "24" },// fs=24.000 kHz
   {    6,  1200,      20,      80,       2,     1142,  "20" },// fs=20.000 kHz
   {    8,  1500,      16,      64,       3,      101,  "16" },// fs=16.000 kHz
   {   12,  2000,      12,      48,       3,      738,  "12" },// fs=12.000 kHz
 },
//
//
 {// poly, t1div, tick1ms, tick4ms, oct_ofs, note_ofs, fs_str}
   {    4,   800,      30,     120,       2,      244,  "30" },// fs=30.000 kHz
   {    5,  1000,      24,      96,       2,      738,  "24" },// fs=24.000 kHz
   {    6,  1200,      20,      80,       2,     1142,  "20" },// fs=20.000 kHz
   {    8,  1500,      16,      64,       3,      101,  "16" },// fs=16.000 kHz
   {   12,  2000,      12,      48,       3,      738,  "12" },// fs=12.000 kHz
 }
}; // const sys_config_st_t sys_config[]
